Customers
Create customer
https://rcur.app/api/v2/customers
Requires your API key as Authorization: Bearer <key>. See authentication.
Request body
application/jsonCustomer data
-
numberstringCustomer number
-
first_namestring requiredFirst name
-
last_namestring requiredLast name
-
emailstring requiredEmail address
-
organization_namestringOrganization name
-
phonestringPhone number
-
addressstringStreet address
-
postal_codestringPostal code
-
citystringCity
-
countrystringISO 3166-1 alpha-2 country code
-
vat_numberstringVAT number
-
localestringOne of
nlenfrdees
Responses
200 Customer details Customer object
-
idstring required -
numberstring nullable -
first_namestring required -
last_namestring required -
emailstring required -
phonestring nullable -
organization_namestring nullable -
addressstring nullable -
postal_codestring nullable -
citystring nullable -
countrystring nullable -
vat_numberstring nullable -
localestring nullableOne of
nlenfrdees -
mollie_customer_idstring nullable -
created_atstring required
201 Customer created Customer object
-
idstring required -
numberstring nullable -
first_namestring required -
last_namestring required -
emailstring required -
phonestring nullable -
organization_namestring nullable -
addressstring nullable -
postal_codestring nullable -
citystring nullable -
countrystring nullable -
vat_numberstring nullable -
localestring nullableOne of
nlenfrdees -
mollie_customer_idstring nullable -
created_atstring required
422 Validation error ValidationError object
-
statusinteger required -
errorstring required -
fieldsobject